Subject: Re: Re: linux-next: Tree for July 25 (xen)

From: Randy Dunlap <[email-masked]>
Date: Thu, 4 Aug 2011 13:15:16 -0700

On Thu, 4 Aug 2011 15:55:39 -0400 Konrad Rzeszutek Wilk wrote:

> On Thu, Aug 04, 2011 at 09:35:34PM +0200, Ingo Molnar wrote:
> > 
> > * Randy Dunlap <[email-masked]> wrote:
> > 
> > > On Mon, 25 Jul 2011 16:25:42 +1000 Stephen Rothwell wrote:
> > > 
> > > > Hi all,
> > > 
> > > xen has lots of build errors and warnings (all on x86_64).
> 
> Hm, I have a fix in my linux-next (and stable/bug.fixes) for this that I was thinking
> to send in a couple of days ..
> 
> 
> commit 1e9ea2656b656edd3c8de98675bbc0340211b5bd
> Author: Jeremy Fitzhardinge <[email-masked]>
> Date:   Wed Aug 3 09:43:44 2011 -0700
> 
>      xen/tracing: it looks like we wanted CONFIG_FTRACE
>     
>     Apparently we wanted CONFIG_FTRACE rather the CONFIG_FUNCTION_TRACER.
>     
>     Reported-by: Sander Eikelenboom <[email-masked]>
>     Tested-by: Sander Eikelenboom <[email-masked]>
>     Signed-off-by: Jeremy Fitzhardinge <[email-masked]>
>     Signed-off-by: Konrad Rzeszutek Wilk <[email-masked]>
> 
> diff --git a/arch/x86/xen/Makefile b/arch/x86/xen/Makefile
> index 45e94ac..3326204 100644
> --- a/arch/x86/xen/Makefile
> +++ b/arch/x86/xen/Makefile
> @@ -15,7 +15,7 @@ obj-y		:= enlighten.o setup.o multicalls.o mmu.o irq.o \
>  			grant-table.o suspend.o platform-pci-unplug.o \
>  			p2m.o
>  
> -obj-$(CONFIG_FUNCTION_TRACER) += trace.o
> +obj-$(CONFIG_FTRACE) += trace.o
>  
>  obj-$(CONFIG_SMP)		+= smp.o
>  obj-$(CONFIG_PARAVIRT_SPINLOCKS)+= spinlock.o
> 
> .. snip of the long compile error..
> 
> > These build failures are still triggering upstream:
> > 
> >  arch/x86/xen/trace.c:44:2: error: array index in initializer not of integer type
> >  arch/x86/xen/trace.c:44:2: error: (near initialization for ‘xen_hypercall_names’)
> >  arch/x86/xen/trace.c:45:1: error: ‘__HYPERVISOR_arch_4’ undeclared here (not in a function)
> >  arch/x86/xen/trace.c:45:2: error: array index in initializer not of integer type
> >  arch/x86/xen/trace.c:45:2: error: (near initialization for ‘xen_hypercall_names’)
> 
> Oh, that I haven't seen. Can you send me the .config for that please.

You can't be trying very hard then.  I see lots of these (but no,
I haven't reported them.  One can grow weary of reporting xen bugs.)

> > even after:
> > 
> >  b3c4b9825075: xen/tracing: fix compile errors when tracing is disabled.
> > 
> > Btw., that the heck is going on with the commit that introduced the 
> > build failure:
> > 
> >  commit bd9ddc875b6659f9f74dcfd285c472bc58041abd
> >  Author:     Jeremy Fitzhardinge <[email-masked]>
> >  AuthorDate: Mon Jun 20 17:52:13 2011 -0700
> >  Commit:     Jeremy Fitzhardinge <[email-masked]>
> >  CommitDate: Mon Jul 18 15:43:46 2011 -0700
> > 
> > It was apparently rebased shortly before the merge window and sent to 
> 
> Well, the rebase I get - it was done on top of the merge that introduced
> the new functionality.
> 
> > Linus 3 days later, with little to no linux-next testing ...
> 
> <Hmm> It did fix the compile problem.. albeit it created another one.
> > 
> > I'm absolutely unhappy about how the Xen tree is being run. It's 
> > using a sloppy, crappy workflow and it is producing crap.
> 
> Do you have a manual of how you guys run your workflow?

I just run 30-50 randconfigs per night (cron job).

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***